package com.zswl.cloud.springBatch.client.service;

import com.github.microservice.auth.client.content.ResultContent;
import com.xiaoju.open.oil.interfaces.domain.StorePriceInfo;
import com.xiaoju.open.oil.interfaces.request.QueryApiStorePriceRequest;
import com.xiaoju.open.oil.interfaces.response.QueryApiStorePriceResponse;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;
import java.util.Map;

@FeignClient(name = "springbatchservice/manager/xiaoju")
public interface XiaoJuService {
    @ApiOperation("批量查询加油站价格")
    @RequestMapping(value = "queryStorePrice", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
    ResultContent<List<StorePriceInfo>> queryStorePrice(@RequestBody QueryApiStorePriceRequest queryApiStorePriceRequest);



    @ApiOperation("加油站详情")
    @RequestMapping(value = "storeInfo", method = RequestMethod.POST, consumes = MediaType.APPLICATION_JSON_VALUE)
    ResultContent<Map<String,String>> storeInfo(@RequestBody QueryApiStorePriceRequest queryApiStorePriceRequest);





}
